#get prolonged spikes
# assumes the data for prolonged_spikes.m is in the local dir

timebin="600";
datapath="./sample_data/"
s="wash_2004-09-09to2006-09-01"
outputpath="./spikes_test_output/" 
stdate="2004-09-09"
stdate1="00:00:00"
routertable="bgpup_abilene_wash"
SN001output="~/OUTPUTs/"

# make the necessary directories
mkdir $outputpath
mkdir $outputpath"spike_timeseries"
mkdir $outputpath"spike_timeseries/original"
mkdir $outputpath"spike_timeseries/fixed"


matlab -nodisplay -nosplash -r \
"prolonged_spikes("\'$datapath""$s.$timebin""s.csv\'",$timebin,"\'$outputpath\'", "\'$stdate" "$stdate1\'")"


echo "now making sql queries"
# also make sql query for the corresponding time periods
ruby make_sql_spikes.rb "$outputpath""prolonged_spike_suspect_times.txt" \
$routertable "$SN001output""original/" > "$outputpath""spike_queries.sql"


# then run sql query on sn001.datapository.net machine
# also scp it back here
sh package_for_datapository_spikes.sh \
"$outputpath" "spike_queries.sql" "$SN001output" "original/" "spike_timeseries/"


# above will store the answers in the directory spike_timeseries
# fix these updates for missing AS IPs etc. etc.
echo "now fixing updates"
for i in $(ls "$outputpath""spike_timeseries/original/") 
do
		echo $i
		ruby fix_prolonged_spike_updates.rb \
		"$outputpath""spike_timeseries/original/"$i > "$outputpath""spike_timeseries/fixed/"$i 
done


# then make the pseudo series
# of only time ticks using the above timeseries
echo "now looking for culprits"
for i in $(ls "$outputpath""spike_timeseries/fixed/") 
do			
		echo $i				
		matlab -nosplash -nodisplay -r \
		"find_prolonged_spike_culprits("\'"$outputpath""spike_timeseries/fixed/"$i\'")" > "$outputpath""culprits_"$i
done
